This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 894265 - Sound Blaster Live! X-Gamer (CT4760) Driver Fails to load with AC97 problem
Sound Blaster Live! X-Gamer (CT4760) Driver Fails to load with AC97 problem
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: alsa-firmware (Show other bugs)
17
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-11 04:10 EST by lukewolf101010
Modified: 2013-01-18 02:53 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-16 14:46:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Novell 798278 None None None Never

  None (edit)
Description lukewolf101010 2013-01-11 04:10:50 EST
Description of problem:
The AC97 part of the driver seems to be having issues as seen in this section of the dmesg here:

[   31.951657] ALSA sound/pci/ac97/ac97_codec.c:2091 AC'97 0 does not respond - RESET
[   31.951671] ALSA sound/pci/ac97/ac97_codec.c:2100 AC'97 0 access is not valid [0xffffffff], removing mixer.
[   31.952452] ALSA sound/pci/emu10k1/irq.c:44 snd-emu10k1: Suspected sound card removal
[   31.952548] snd_emu10k1: probe of 0000:01:06.0 failed with error -5

This means that the soundcard fails initialization and thus I can't use it.  Now according to the alsa support wiki ( http://www.alsa-project.org/main/index.php/Matrix:Vendor-Creative_Labs ) the Sound Blaster Live! Platinum is supported which according to the Creative product matrix ( http://support.creative.com/kb/ShowArticle.aspx?url=http://ask.creative.com:80/srvs/cgi-bin/webcgi.exe/,/?st=295,e=0000000002662240829,k=2226,sxi=18,varset=ws:,case=10846 ) the Platinum is in the same family (CT4760) as the X-Gamer, the Platinum is the CT4760P as opposed to CT4760X.  Which should I would have thought meant that it's supported by the same driver.  However it seems to fail, which may mean that the platinum is also broken however I don't have one to test.

Version-Release number of selected component (if applicable):
Fedora 17 & 18 Beta, openSUSE 12.2, Ubuntu 10.04 & 12.10, Slax 4.2.0

How reproducible:
Install a Sound Blaster Live! X-Gamer into a PCI Slot on your computer, and boot up a Linux.

Steps to Reproduce:
1. See Above
2.
3.
  
Actual results:
Sound Card Doesn't work

Expected results:
Sound card working

Additional info:
This effects all distributions I've tried with this card even going all the way back to Slax 4.2.0, I would be reporting this bug against upstream ALSA but I can't connect to their bug tracker.

also here's the relevant output from lspci -vv

01:06.0 Multimedia audio controller: Creative Labs SB Live! EMU10k1 (rev 07)
        Subsystem: Creative Labs CT4760 SBLive!
        Control: I/O+ Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Interrupt: pin A routed to IRQ 20
        Region 0: I/O ports at efc0 [size=32]
        Capabilities: [dc] Power Management version 1
                Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
 
01:06.1 Input device controller: Creative Labs SB Live! Game Port (rev 07)
        Subsystem: Creative Labs Gameport Joystick
        Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 32
        Region 0: I/O ports at eff8 [size=8]
        Capabilities: [dc] Power Management version 1
                Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
        Kernel driver in use: Emu10k1_gameport
Comment 1 Tim Jackson 2013-01-16 14:46:25 EST
I sympathise very much with your problem but you really need to seek support from the upstream ALSA project.

Additionally this is filed against alsa-firmware. alsa-firmware contains firmware drivers for a very small number of specialist sound cards only and I don't believe that includes your card.
Comment 2 lukewolf101010 2013-01-16 22:06:56 EST
Well.. I get a connection refused error in both konqueror and firefox whenever I try https://bugtrack.alsa-project.org/ is there an alternative link to their bugtracker?
Comment 3 Tim Jackson 2013-01-18 02:53:27 EST
Try the alsa-user mailing list

Note You need to log in before you can comment on or make changes to this bug.